• If this is your first visit, you will have to register before you can post. To view messages, please scroll below and select the forum that you would like to visits. Questions? Be sure to check out the Forum FAQ.

Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

IB TWS 973.2h is no longer supported

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    IB TWS 973.2h is no longer supported

    I'm unable to run TWS 973.2h. Beginning yesterday (Sunday, April 5, 2020) I've been receiving the following message when I try to start Trader Workstation version 973.2h: "The version of the application you are running, 973.2h, is no longer supported. Please upgrade TWS to the version 977.3 or above from our website." The form that displays this message contains only an "OK" button, and when I click "OK" the message form and the TWS Login form close.

    #2
    TWS 973.2h support is not ending soon as far as we're aware and I cannot reproduce this symptom on my end.

    Does the message look similar or identical to the message in the screenshot below:


    Click image for larger version

Name:	994e4e1f-4116-4d7a-86e3-3b24d7e6785b.png
Views:	38
Size:	11.9 KB
ID:	1093226

    If so, this is a known symptom of connecting using an IBKR account. Please clarify - are you connecting to an 'IBKR' account?
    Attached Files
    Patrick G.NinjaTrader Customer Service

    Comment


      #3
      What is an "IBKR" account?

      Comment


        #4
        It's a type of Interactive Brokers account. If you're unsure, contact Interactive Brokers support.
        Patrick G.NinjaTrader Customer Service

        Comment


          #5
          I'm not sure what you mean by "are you connecting to an 'IBKR' account?" But, here's what I've done and I'm receiving the message: (1) I restarted my server, and (2) I've tried to start TWS 973.2h, but I receive the message. Note that NT isn't even running on my server at this point.

          The exact wording of the message is as shown in my original post, and the message form looks similar to the screen capture you shared.

          FYI I also have TWS 978.1o installed on my server, and I can successfully start this later version.

          Comment


            #6
            PatrickG, did you mean to ask "Are you trying to use TWS 973.2h with an 'IBKR Lite' account?"

            Comment


              #7
              The known cause for this occurring is connecting with an 'IBKR Lite' client. IBKR Lite accounts do not support connecting to an API and you will need to contact Interactive Brokers for your options about an Interactive Brokers account that is compatible with NinjaTrader (and TWS 973.2h).
              Patrick G.NinjaTrader Customer Service

              Comment


                #8
                Good to know, PatrickG; thank you. I'll log in to IB Account Management and toggle my IBKR Pricing Plan from IBKR Lite to IBKR Pro. After the change is in effect (in a day or so?), I'll try to start TWS 973.2h and I'll post here whether I succeed or fail.

                Comment


                  #9
                  FYI after toggling my IBKR Pricing Plan to IBKR Pro, TWS 973.2h starts up just fine. A complete recap of my experience is provided below, in case it's of use to others.

                  According to Interactive Brokers their IBKR APIs Trading Technology isn't available to customers that use the IBKR Lite Pricing Plan (per https://www.interactivebrokers.com/en/index.php?f=45500). While I think this information is clear, I also think it's vague, so I conducted a little investigation to find out what this really means. Here's what I found out.

                  1. If IBKR Pricing Plan = IBKR Pro, then TWS 973.2h will start.

                  2. If IBKR Pricing Plan = IBKR Lite, then TWS 973.2h won't start. Rather, during the TWS startup process a message is issued that reads "The version of the application you are running, 973.2h, is no longer supported. Please upgrade TWS to the version 977.3 or above from our website." This message is presented in a form that contains only an OK button, and when the OK button is clicked both the message form and the TWS Login form close.

                  3. If IBKR Pricing Plan = IBKR Lite, then TWS 978.1o will start. Once started, though, the API settings for TWS (accessed via Edit > Global Configuration > API) are blocked.

                  So, when using the IBKR Lite Pricing Plan TWS 973.2h won't start and TWS 978.1o can't be configured to use the API. Therefore, IB customers must use the IBKR Pro Pricing Plan if they want to connect to a trading platform (like NinjaTrader).

                  Thank you, PatrickG, for the insight you provided on April 6, 2020 to set me in the right direction.

                  Comment

                  Latest Posts

                  Collapse

                  Topics Statistics Last Post
                  Started by Aporshnev, Today, 05:56 PM
                  0 responses
                  1 view
                  0 likes
                  Last Post Aporshnev  
                  Started by aslane, Today, 05:46 PM
                  0 responses
                  2 views
                  0 likes
                  Last Post aslane
                  by aslane
                   
                  Started by Aporshnev, Today, 04:31 PM
                  1 response
                  5 views
                  0 likes
                  Last Post NinjaTrader_ShawnB  
                  Started by tradykat, Yesterday, 05:09 PM
                  7 responses
                  35 views
                  0 likes
                  Last Post NT-Roland  
                  Started by PLeary, Today, 03:09 PM
                  2 responses
                  20 views
                  0 likes
                  Last Post PLeary
                  by PLeary
                   
                  Working...
                  X